#ifdef GL_ES
precision mediump float;
#endif

varying vec4 vFragColor;
varying vec2 vTexCoord;

uniform sampler2D vTex;

void main() {
	vec4 sum = vec4(0.0);
	vec4 substract = vec4(0,0,0,0);

	float alpha = texture2D(vTex , vTexCoord).a;

	vec2 blurSize = vec2( 0.0005, 0.0005 );

	sum += texture2D(vTex, vTexCoord - 4.0 * blurSize) * 0.05;
	sum += texture2D(vTex, vTexCoord - 3.0 * blurSize) * 0.09;
	sum += texture2D(vTex, vTexCoord - 2.0 * blurSize) * 0.12;
	sum += texture2D(vTex, vTexCoord - 1.0 * blurSize) * 0.15;
	sum += texture2D(vTex, vTexCoord                 ) * 0.16;
	sum += texture2D(vTex, vTexCoord + 1.0 * blurSize) * 0.15;
	sum += texture2D(vTex, vTexCoord + 2.0 * blurSize) * 0.12;
	sum += texture2D(vTex, vTexCoord + 3.0 * blurSize) * 0.09;
	sum += texture2D(vTex, vTexCoord + 4.0 * blurSize) * 0.05;

	vec4 temp = vec4(0,0,0,0);
	temp = (sum - substract) * vFragColor;

	if(alpha < 0.05)
	{
		gl_FragColor = vec4(0 , 0 , 0 , 0);
	}
	else
	{
		gl_FragColor = temp;
	}
}

